image: alpine:latest

regression:
  script:
  - apk update
  - apk add cmake g++ make py3-pip python3-dev
  - pip3 install -U sphinx
  - mkdir build
  - cd build
  - cmake ..
  - ctest -j4
  only:
  - testing

pages:
  script:
  - apk update
  - apk add python3 py3-pip python3-dev
  - pip3 install -U sphinx
  - pip3 install -U sphinxcontrib-moderncmakedomain
  - pip3 install -U sphinx_rtd_theme
  - sphinx-build -M html doc/manual build
  - mv build/html public
  artifacts:
    paths:
    - public
  only:
  - master
